Bug 819635 - Fix help string for DNS zone --forwarder option
Fix help string for DNS zone --forwarder option
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa (Show other bugs)
6.3
Unspecified Unspecified
low Severity unspecified
: rc
: ---
Assigned To: Rob Crittenden
Namita Soman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-07 15:45 EDT by Rob Crittenden
Modified: 2015-05-20 11:32 EDT (History)
3 users (show)

See Also:
Fixed In Version: ipa-3.0.0-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 04:12:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rob Crittenden 2012-05-07 15:45:15 EDT
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/freeipa/ticket/2717

Fix help of `--forwarder` option in per-zone configuration. Current help mentions "global forwarder", but this term is used rather for the list of forwarders in global DNS configuration and not for per-zone conditional forwarding:

{{{
# ipa dnszone-mod --help
Usage: ipa [global-options] dnszone-mod NAME [options]
...
 --forwarder=STR       A list of global forwarders. A custom port can be
                        specified for each forwarder using a standard format
                        "IP_ADDRESS port PORT"

# ipa dnsconfig-mod --help
Usage: ipa [global-options] dnsconfig-mod [options]
...
  --forwarder=STR       A list of global forwarders. A custom port can be
                        specified for each forwarder using a standard format
                        "IP_ADDRESS port PORT"
}}}
Comment 1 Martin Kosek 2012-06-05 04:48:26 EDT
Fixed upstream:
master: https://fedorahosted.org/freeipa/changeset/52a9eb7a9c4673c6ce927a209833f2c35ffb70ed
Comment 2 Jenny Galipeau 2012-09-25 12:51:28 EDT
automated regression test in DNS test suite
Comment 5 Namita Soman 2012-12-13 09:38:26 EST
Testing using ipa-server-3.0.0-11.el6.x86_64

# ipa dnsconfig-mod --help
Usage: ipa [global-options] dnsconfig-mod [options]

Options:
  -h, --help            show this help message and exit
  --forwarder=STR       A list of global forwarders. A custom port can be
                        specified for each forwarder using a standard format
                        "IP_ADDRESS port PORT"
<snip>

Verified help for dnszone-mod
# ipa dnszone-mod --help
Usage: ipa [global-options] dnszone-mod NAME [options]

<snip>

  --forwarder=STR       A list of per-zone forwarders. A custom port can be
                        specified for each forwarder using a standard format
                        "IP_ADDRESS port PORT"
<snip>
Comment 6 Rob Crittenden 2012-12-13 13:43:49 EST
The dnszone-mod fix was all that was called for. dnsconfig-mod sets global forwarding. This appears fixed to me.
Comment 7 Dmitri Pal 2012-12-13 20:25:59 EST
Namita, do you agree? Rob can you bounce it back?
Comment 8 Martin Kosek 2012-12-14 10:37:14 EST
Namita, Rob is right. dnsconfig --forwarder option contains a global DNS forwarder, dnszone --forwarder contains a per-zone forwarder.
Comment 9 Namita Soman 2012-12-17 08:34:01 EST
Marking verified. Help for dnszone-mod is updated as expected.
Comment 11 errata-xmlrpc 2013-02-21 04:12:53 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0528.html

Note You need to log in before you can comment on or make changes to this bug.